package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MdMigrParameterDTO implements Serializable {

    private static final long serialVersionUID = 637332171521348L;

    private Integer id;

    private Integer objectId;

    private String objectType;

    private Integer paramExisting;

    private Integer paramOrder;

    private String paramName;

    private String paramType;

    private String paramDataType;

    private Integer percision;

    private Integer scale;

    private Character nullable;

    private String defaultValue;

    private Integer securityGroupId;

    private java.util.Date createdOn;

    private String createdBy;

    private java.util.Date lastUpdatedOn;

    private String lastUpdatedBy;

    private Integer connectionIdFk;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public Integer getObjectId() {
    return objectId;
    }

        public void setObjectId(Integer objectId) {
    this.objectId = objectId;
    }

        public String getObjectType() {
    return objectType;
    }

        public void setObjectType(String objectType) {
    this.objectType = objectType;
    }

        public Integer getParamExisting() {
    return paramExisting;
    }

        public void setParamExisting(Integer paramExisting) {
    this.paramExisting = paramExisting;
    }

        public Integer getParamOrder() {
    return paramOrder;
    }

        public void setParamOrder(Integer paramOrder) {
    this.paramOrder = paramOrder;
    }

        public String getParamName() {
    return paramName;
    }

        public void setParamName(String paramName) {
    this.paramName = paramName;
    }

        public String getParamType() {
    return paramType;
    }

        public void setParamType(String paramType) {
    this.paramType = paramType;
    }

        public String getParamDataType() {
    return paramDataType;
    }

        public void setParamDataType(String paramDataType) {
    this.paramDataType = paramDataType;
    }

        public Integer getPercision() {
    return percision;
    }

        public void setPercision(Integer percision) {
    this.percision = percision;
    }

        public Integer getScale() {
    return scale;
    }

        public void setScale(Integer scale) {
    this.scale = scale;
    }

        public Character getNullable() {
    return nullable;
    }

        public void setNullable(Character nullable) {
    this.nullable = nullable;
    }

        public String getDefaultValue() {
    return defaultValue;
    }

        public void setDefaultValue(String defaultValue) {
    this.defaultValue = defaultValue;
    }

        public Integer getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(Integer securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getLastUpdatedOn() {
    return lastUpdatedOn;
    }

        public void setLastUpdatedOn(java.util.Date lastUpdatedOn) {
    this.lastUpdatedOn = lastUpdatedOn;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

        public Integer getConnectionIdFk() {
    return connectionIdFk;
    }

        public void setConnectionIdFk(Integer connectionIdFk) {
    this.connectionIdFk = connectionIdFk;
    }

}